%define name		perl-DBD-SQLite
%define real_name	DBD-SQLite
%define version		1.03
%define release		1mdk

Summary:	DBD::SQLite - Self Contained RDBMS in a DBI Driver
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
Requires:	perl
BuildRequires:	perl-devel perl-DBI >= 1.03-1mdk
Buildroot:	%{_tmppath}/%{name}-root
URL:		http://search.cpan.org/dist/%{real_name}/
Source:		http://search.cpan.org/CPAN/authors/id/M/MS/MSERGEANT/%{real_name}-%{version}.tar.bz2

%description
SQLite is a public domain RDBMS database engine that you can find
at http://www.hwaci.com/sw/sqlite/.

Rather than ask you to install SQLite first, because SQLite is public 
domain, DBD::SQLite includes the entire thing in the distribution. So in
order to get a fast transaction capable RDBMS working for your perl project
you simply have to install this module, and nothing else.

SQLite supports the following features:
  - Implements a large subset of SQL92 
  - A complete DB in a single disk file 
  - Atomic commit and rollback
  - Extensible (User-defined aggregate or regular functions can be
    registered with the SQL parser)

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix} < /dev/null
%make CCFLAGS="$RPM_OPT_FLAGS" OPTIMIZE="-DNDEBUG=1 -DSQLITE_PTR_SZ=4" PREFIX=%{_prefix}
make test
cat > README.update.urpmi <<EOF
Note for upgrading :

This release of perl-DBD-SQLite uses a new SQLite database format,
that is incompatible with releases of perl-DBD-SQLite < 1.00.
EOF

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README* Changes
%{perl_vendorlib}/*
%{_mandir}/man3/DBD::SQLite.3pm*

%changelog
* Tue Aug 10 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.03-1mdk
- 1.03.
- Remove patch 1.

* Wed Jul 28 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.00-1mdk
- 1.00, incompatible format with previous versions.
- Remove MANIFEST, add README.update.urpmi.
- Patch to prevent interactivity in Makefile.PL

* Mon May 17 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.31-2mdk
- Fix compile FLAGS

* Fri Nov 01 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.31-1mdk 
- first version of rpm.
